import * as React from 'react';
import 'codemirror/mode/python/python';
import { INeptuneConnectionParams, INeptuneNotebook } from './connection';
import { NeptuneContent } from './content';
import { NeptuneSession } from './kernel';
import '../style/configure-modal.css';
declare enum STEP {
    CONFIGURATION = 0,
    INTEGRATION = 1
}
interface IConfigureModal {
    content: NeptuneContent;
    initParams: INeptuneConnectionParams;
    isLoading: boolean;
    session: NeptuneSession;
    isOpen: boolean;
    isConfigurationValid: boolean;
    onCreateNotebook: (params: INeptuneConnectionParams) => void;
    onCreating: () => void;
    onCreateFail: () => void;
    onClose: () => void;
}
interface IConfigureModalState {
    error: string;
    visibleStep: STEP;
    notebookId?: string;
    notebook?: INeptuneNotebook;
    apiToken?: string;
    isApiTokenValid?: boolean;
    selectedProject?: string;
    projectsList?: Array<string>;
    conflictResolveStrategy?: string;
}
export declare class ConfigureModal extends React.Component<IConfigureModal, IConfigureModalState> {
    private readonly content;
    private readonly session;
    private readonly localConnection;
    constructor(props: IConfigureModal);
    componentDidMount(): void;
    componentDidUpdate(prevProps: Readonly<IConfigureModal>, prevState: Readonly<IConfigureModalState>): void;
    initializeDialog: () => void;
    renderCurrentStepHeader(): React.ReactElement<any>;
    renderCurrentStepContent(): React.ReactElement<any>;
    renderConfigureStep(): React.ReactElement<any>;
    renderApiTokenStatus: () => React.ReactElement<any>;
    renderProjectsSelect: () => React.ReactElement<any>;
    renderProjectsStatus: () => React.ReactElement<any>;
    renderInputStatus(condition: any): React.ReactElement<any>;
    getNotebookURI: () => string;
    renderIntegrateStep(): React.ReactElement<any>;
    renderCurrentStepActions(): React.ReactElement<any>;
    private updateApiToken;
    private updateSelectedProject;
    private backToConfigurationStep;
    private completeConfigurationStep;
    private createNotebook;
    updateResolveStrategy: (conflictResolveStrategy: any) => void;
    askUser: (textPrompt: any, notebookId: any) => Promise<void>;
    createCheckpointFlow: (notebookId: any) => Promise<void>;
    createNotebookFlow: () => Promise<void>;
    private integrateNotebook;
    private runCell;
    render(): JSX.Element;
}
export {};
