"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class NeptuneSession {
    constructor(session) {
        this.session = session;
    }
    runInitializationCode(params) {
        return this.session.kernel.requestExecute({
            code: getInitializationCode(params)
        });
    }
}
exports.NeptuneSession = NeptuneSession;
function getInitializationCode(params) {
    const { apiToken, project, notebookId } = params;
    return `import os
${envEntry('NEPTUNE_API_TOKEN', apiToken)}
${envEntry('NEPTUNE_PROJECT', project)}
${envEntry('NEPTUNE_NOTEBOOK_ID', notebookId)}`;
}
exports.getInitializationCode = getInitializationCode;
function envEntry(key, value) {
    const disableComment = value ? '' : '# ';
    const keyValue = value ? `="${value}"` : '';
    return `${disableComment}os.environ['${key}']${keyValue}`;
}
//# sourceMappingURL=kernel.js.map